Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class FkSecondPass

    java.lang.Object
      org.hibernate.cfg.FkSecondPass

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.SecondPass

Direct Known Subclasses:
  JoinedSubclassFkSecondPass, ToOneFkSecondPass

    public abstract class FkSecondPass

extends Object
implements org.hibernate.cfg.SecondPass

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary
`protected Ejb3JoinColumn[]` | `columns`
`protected org.hibernate.mapping.SimpleValue` | `value`

Constructor Summary
`FkSecondPass(org.hibernate.mapping.SimpleValue value, Ejb3JoinColumn[] columns)`

Method Summary
`boolean` | `equals(Object o)`
`abstract String` | `getReferencedEntityName()`
`int` | `getUniqueCounter()`
`org.hibernate.mapping.Value` | `getValue()`
`int` | `hashCode()`
`abstract boolean` | `isInPrimaryKey()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cfg.SecondPass
`doSecondPass`

Field Detail

### value

    protected org.hibernate.mapping.SimpleValue value

### columns

    protected Ejb3JoinColumn[] columns

Constructor Detail

### FkSecondPass

    public FkSecondPass(org.hibernate.mapping.SimpleValue value,
                        Ejb3JoinColumn[] columns)

Method Detail

### getUniqueCounter

    public int getUniqueCounter()

### getValue

    public org.hibernate.mapping.Value getValue()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getReferencedEntityName

    public abstract String getReferencedEntityName()

### isInPrimaryKey

    public abstract boolean isInPrimaryKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD